/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_DECK_H
#define OCARINA_DECK_H

#include <playqueue.h>

namespace deck
{

	void init();
	void read();
	void write();

	Playqueue *create(bool);
	void remove(unsigned int);
	Playqueue *get(unsigned int);
	unsigned int size();
	void move(unsigned int, unsigned int);
	void move(Playqueue *, unsigned int);
	unsigned int next();
	Playqueue *get_library_pq();

#ifdef CONFIG_TEST
	void reset();
	void print_info();
#endif /* CONFIG_TEST */

};

#endif /* OCARINA_DECK_H */
